Download it now!
Bug 31016 - Arabic kerning is broken.
Summary: Arabic kerning is broken.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-20 18:13 UTC by Ahmed M. AbouZaid
Modified: 2011-01-28 06:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test-case (11.69 KB, application/vnd.oasis.opendocument.text)
2011-01-28 06:06 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ahmed M. AbouZaid 2010-10-20 18:13:52 UTC
Hello : )

Arabic kerning is broken in last libreoffice (OOO330m9 Build:1 libreoffice-build 3.2.99.2) this also still in oo.o


bug start from oo.o 3.1
this issues very important because many arabic users can't use fonts that have kerning feature, so please take care about it : )


- problem: 
with arabic fonts have kerning feature, when justify Arabic text, some characters fall out of the left margin.

- image show the problem:
http://img842.imageshack.us/img842/5863/lobug.png

- odf file with arabic text show the problem:
in attachment.


- for more information: 
bug in oo.o site
http://www.openoffice.org/issues/show_bug.cgi?id=100940

os: ubuntu 10.10 (and also found in other systems like windows)



sorry for my bad english, and thank you : )
Comment 1 Ahmed M. AbouZaid 2010-10-20 18:19:06 UTC
oh, forget this

- arabic fonts have kerning:

KacstOne 3.0
http://sourceforge.net/projects/arabeyes/files/kacst_fonts/kacst_one_3.0.tar.bz2/download


KFGQPC Uthman Taha Naskh
http://fonts.qurancomplex.gov.sa/download/UthmanTN1_Ver08.zi
Comment 2 Luboš Luňák 2010-12-15 09:16:22 UTC
I'm afraid I'm still too lame to even judge the difficulty of this, let alone fix it without guidance -> Cedric.
Comment 3 Khaled Hosny 2011-01-06 05:31:23 UTC
Some analysis and an ugly patch:
http://lists.freedesktop.org/archives/libreoffice/2011-January/005422.html
Comment 4 Caolán McNamara 2011-01-28 05:50:01 UTC
I'll take this one seeing as I'm at least *some* knowledge of the complex text layout having struggled through getting some Indic font stuff fixed.
Comment 5 Caolán McNamara 2011-01-28 06:06:37 UTC
Created attachment 42645 [details]
test-case
Comment 6 Caolán McNamara 2011-01-28 06:09:14 UTC
As per mail to the list, doesn't obviously break our Indic rendering and improves the test-case, though I think its more of a band-aid than a full fix, but it'll do for now anyway :-)